<?php

class Webxmore_PayMe_Block_Adminhtml_Invoice_Info extends Mage_Adminhtml_Block_Sales_Order_Invoice_View_Form {

    public function getPaymentHtml() {
        return "<b>" . $this->getChildHtml('order_payment') . "</b>" . $this->__getComment();
    }

    function __getComment() {
        $order = $this->getOrder();
        if ("wbxpm_acc" != $order->getPayment()->getMethodInstance()->getCode())
            return "";

        $info = Mage::getModel("wbxpm/order")->loadByOwner($order->getId());
        if (!$info)
            return "";

        $content = "<br> Band card: <i>" . $info->getData("buyer_card_mask") . "</i>";
        $content .= "<br> Paymnets: <i>" . $info->getData("installments") . "</i>";
        return $content;
    }

}
