<?php

class Webxmore_PayMe_Adminhtml_IndexController extends Mage_Adminhtml_Controller_Action {

    public function formAction() {
        $this->loadLayout();
        $this->_setActiveMenu('wbxpm');
        $this->_addContent($this->getLayout()->createBlock('wbxpm/adminhtml_index_edit'));
        $this->renderLayout();
    }

    public function saveAction() {
        $model = Mage::helper("daflink/adminhtml")->getModel();
        $saller = Mage::getModel('wbxpm/saller')->loadByModel($model->getId());
        $params = $this->getRequest()->getParams();
                
        foreach (Mage::helper("wbxpm")->getFields() as $field => $item) {
            if ($item["type"] == "file" && isset($_FILES[$field]) && $_FILES[$field]["error"] == 0) {
                $filename = "wbxpm". DS. Mage::helper("wbxpm")->generateAlias();
                Mage::log($filename, null, "baba");
                Mage::log($_FILES[$field]["tmp_name"]."\t". Mage::getBaseDir("media") . $filename, null, "baba");
                copy($_FILES[$field]["tmp_name"], Mage::getBaseDir("media") . DS. $filename);
                $params[$field] = Mage::app()->getStore($model->getStore())->getBaseUrl(Mage_Core_Model_Store::URL_TYPE_MEDIA). $filename;
            }
        }
        
        if (!$saller) {
            $saller = Mage::getModel('wbxpm/saller');
            $data = array("model_id" => $model->getId());
            foreach (array_keys(Mage::helper("wbxpm")->getFields()) as $field)
                $data[$field] = $params[$field];
            $saller->setData($data);
        } else {
            foreach (array_keys(Mage::helper("wbxpm")->getFields()) as $field)
                $saller->setData($field, $params[$field]);
        }
        $saller->save();
        $report = Mage::helper("wbxpm")->createSeller($params, Mage::helper("daflink/adminhtml")->getCustomer(), $model);
        if ($report["status_code"] > 0) {
            Mage::getSingleton('adminhtml/session')->addError(Mage::helper('wbxpm')->__($report["status_error_details"]));
        } else {
            $saller->setCode($report["seller_id"]);
            $saller->setPaymeId($report["seller_payme_id"]);
            $saller->setPaymeSecret($report["seller_payme_secret"]);
            $saller->save();
            Mage::getSingleton('adminhtml/session')->addSuccess(Mage::helper('wbxpm')->__("Seller created."));
        }
        $this->_redirect("wbxpm/adminhtml_index/form");
    }

    protected function _isAllowed() {
        return true;
    }

}
