<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Process
 *
 * @author kryuch
 */
class Webxmore_PayMe_ProcessingController extends Mage_Core_Controller_Front_Action {

    protected function _getCheckout() {
        return Mage::getSingleton('checkout/session');
    }

    public function payAction() {
        if (Mage::helper("wbxpm")->getParam("fullscreen")) {
           $this->loadLayout();
           $this->renderLayout();
        }
        else {
           echo $this->getLayout()->createBlock("wbxpm/form")->toHtml(); 
        }
    }

    private function __curtRequest($url, $params) {
        Mage::helper("wbxpm")->log(print_r($params, true), "Before curl");
        $jparams = json_encode($params);
        Mage::helper("wbxpm")->log($jparams, "JSON");
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $jparams);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=UTF-8', 'Content-Length: ' . strlen($jparams)));
        $result = json_decode(curl_exec($ch));

        Mage::helper("wbxpm")->log(print_r($result, true), "After curl");
        return $result;
    }

    /**
     * Action to which the customer will be returned when the payment is made.
     */
    public function successAction() {
        if ($this->getRequest()->getParam("buyer_card_mask") != "" && $this->getRequest()->getParam("payme_status") == "success") {
           
            $order = Mage::getModel("sales/order")->load($this->getRequest()->getParam("order"));
            Mage::helper("wbxpm")->createInvoice($order);
            $order->setStatus("processing");
            $order->save();
            
            $model = Mage::getModel("wbxpm/order");
            
            $data = array("owner" => $order->getId());
            foreach (array("currency", "payme_transaction_card_brand", "payme_transaction_auth_number", "buyer_card_mask", "buyer_card_exp", "buyer_social_id", "installments") as $param)
                $data[$param] = $this->getRequest()->getParam($param);
            $model->setData($data);
            $model->save();
        }


        $block = $this->getLayout()->createBlock('wbxpm/success');
        $this->getResponse()->setBody($block->toHtml());
    }

    public function resultAction() {
        Mage::log($this->getRequest()->getParams(), null, "result");
        $block = $this->getLayout()->createBlock('core/template')->setTemplate('webxmore_wbxpm/result.phtml');

        $this->getResponse()->setBody($block->toHtml());
    }

}
